USRP Hardware Driver and USRP Manual: uhd::usrp::fe_connection_t Class Reference

| USRP Hardware Driver and USRP Manual Version: 4.8.0.makepkg-0-g308126a4 UHD and USRP Manual |

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
uhd::usrp::fe_connection_t Class Reference

`#include <uhd/usrp/fe_connection.hpp>`

Inheritance diagram for uhd::usrp::fe_connection_t:

## Public Types
enum | sampling_t { QUADRATURE , HETERODYNE , REAL }

## Public Member Functions
| fe_connection_t (sampling_t sampling_mode, bool iq_swapped, bool i_inverted, bool q_inverted, double if_freq=0.0)
| fe_connection_t (const std::string &conn_str, double if_freq=0.0)
sampling_t | get_sampling_mode () const
bool | is_iq_swapped () const
bool | is_i_inverted () const
bool | is_q_inverted () const
double | get_if_freq () const
void | set_if_freq (double freq)

## Member Enumeration Documentation

## ◆ sampling_t

enum uhd::usrp::fe_connection_t::sampling_t

Sampling mode. Represents the sampling architecture for the front-end

Enumerator
QUADRATURE | Complex sampling (Complex input, Complex output).
HETERODYNE | Heterodyne sampling (Real input, Complex output). Only one of the I and Q inputs is used.
REAL | Real sampling (Real input, Real output). Only one of the I and Q inputs is used.

## Constructor & Destructor Documentation

## ◆ fe_connection_t() [1/2]

uhd::usrp::fe_connection_t::fe_connection_t | ( | sampling_t | sampling_mode,
|  | bool | iq_swapped,
|  | bool | i_inverted,
|  | bool | q_inverted,
|  | double | if_freq = 0.0 )

Create a frontend connection class from individual settings.

Parameters

  sampling_mode | can be { QUADRATURE, HETERODYNE, REAL }
  iq_swapped | indicates if the IQ channels are swapped (after inverion and heterodyne correction)
  i_inverted | indicates if the I channel is inverted (negated)
  q_inverted | indicates if the Q channel is inverted (negated)
  if_freq | the baseband sampling frequency.

## ◆ fe_connection_t() [2/2]

uhd::usrp::fe_connection_t::fe_connection_t | ( | const std::string & | conn_str,
|  | double | if_freq = 0.0 )

Create a frontend connection class from a connection string The connection string can be:

- in {I, Q}: Real mode sampling with no inversion.
- in {Ib, Qb}: Real mode sampling with inversion.
- in {IQ, QI}: Quadrature sampling with no inversion.
- in {IbQb, QbIb}: Quadrature sampling with inversion.
- in {II, QQ}: Heterodyne sampling with no inversion.
- in {IbIb, QbQb}: Heterodyne sampling with inversion.

Parameters

  conn_str | the connection string.
  if_freq | the baseband sampling frequency.

## Member Function Documentation

## ◆ get_if_freq()

double uhd::usrp::fe_connection_t::get_if_freq | ( |  | ) | const
| inline

Accessor for IF frequency

## ◆ get_sampling_mode()

sampling_t uhd::usrp::fe_connection_t::get_sampling_mode | ( |  | ) | const
| inline

Accessor for sampling mode

## ◆ is_i_inverted()

bool uhd::usrp::fe_connection_t::is_i_inverted | ( |  | ) | const
| inline

Accessor for I inversion parameter

## ◆ is_iq_swapped()

bool uhd::usrp::fe_connection_t::is_iq_swapped | ( |  | ) | const
| inline

Accessor for IQ swap parameter

## ◆ is_q_inverted()

bool uhd::usrp::fe_connection_t::is_q_inverted | ( |  | ) | const
| inline

Accessor for Q inversion parameter

## ◆ set_if_freq()

void uhd::usrp::fe_connection_t::set_if_freq | ( | double | freq | ) |
| inline

Mutator for IF frequency

The documentation for this class was generated from the following file:

- fe_connection.hpp